Bug 1031944 - mandatory packages missing
mandatory packages missing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 03:15 EST by René Genz
Modified: 2015-06-29 08:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:59:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description René Genz 2013-11-19 03:15:25 EST
Description of problem:
For some groups some mandatory packages are not resolvable neither by `yum list` nor `yum install`. Some Packages fail on `yum list` but work just great with `yum install`.

Note: I am not sure if this is correct component to file a bug against.
If I should split up the report to the corresponding packages, I will do so.



How reproducible:
100%

Steps to Reproduce:
1. install vanilla Fedora 20 BETA
2. open terminal
3. use `yum group info`, `yum list`, `yum install` commands to find broken package connections


Actual results:
The following list contains packages that are not available according to `yum list ${PACKAGE}` and cannot not be resolved by `yum install ${PACKAGE}`

Note: I left out items that failed for `yum list` but were resolved by `yum install`, like:
# sudo yum group info mongodb
There is no installed groups file.

Group: MongoDB
 Group-Id: mongodb
 Description: Scalable high-performance NoSQL database.
 Mandatory Packages:
   +libmongodb
   +mongodb
   +mongodb-devel
   +mongodb-server

# sudo yum list mongodb-devel
Error: No matching Packages to list

# sudo yum install mongodb-devel
Resolving Dependencies
--> Running transaction check
---> Package libmongodb-devel.x86_64 0:2.4.6-1.fc20 will be installed
...





The list is sorted by group name. Below the group name the packages are prefixed with "* ".

anaconda-tools
* extlinux-bootloader
* s390utils-base
* s390utils
* uboot-beaglebone
* uboot-beagle
* uboot-origen
* uboot-panda
* uboot-smdkv310
* uboot-wandboard_dl
* uboot-wandboard_quad
* uboot-wandboard_solo
* yaboot

base-x
* xorg-x11-drv-geode
* xorg-x11-drv-omap

cloud-infrastructure
* aeolus-all

core
* ppc64-utils

eclipse
* eclipse-phpeclipse

electronic-lab
* arm-gp2x-linux-binutils
* arm-gp2x-linux-gcc-c++
* arm-gp2x-linux-gcc
* arm-gp2x-linux-glibc
* arm-gp2x-linux-kernel-headers
* arm-gp2x-linux-SDL
* arm-gp2x-linux-zlib
* simulavr

font-design
* gnome-specimen

freeipa-server
* freeipa-server-strict

gnome-software-development
* gnome-panel-devel

graphical-internet
* checkgmail

graphics
* makehuman

hardware-support
* ql2100-firmware
* ql2200-firmware
* ql23xx-firmware

jbossas
* jboss-as

mate-desktop
* libmatenotify

office
* libreoffice-javafilter
* libreoffice-report-builder

security-lab
* prelude-lml
* prelude-manager
* prewikka
* sshscan

sound-and-video
* bluez-alsa
* ushare

system-tools
* fedora-package-config-smart

system-tools
* ksmarttray
* smart
* smart-gui
* tiobench

xfce-extra-plugins
* xfce4-websearch-plugin

web-server
* vdr-wapd






Expected results:
packages should be resolvable OR should not be listed at all


Additional information:
I wrote a script to automate the commands as much as possible. If you are interested in it I can attach it.
Comment 1 Bill Nottingham 2013-11-19 14:37:46 EST
A chunk of these are packages that are architecture-specific. James - does having them missing on other arches but still in comps have any effects on the groups-as-objects code?

The ones that aren't arch specific can be removed, or replaced with the packages that obsolete them.
Comment 3 Warren Togami 2015-05-20 21:13:10 EDT
It might be time to remove xorg-x11-drv-geode from Fedora.  IIRC modern kernels can't even boot on that hardware, and maybe even the userspace compile flags are now incompatible with the instruction set on the processor?
Comment 4 Fedora End Of Life 2015-05-29 05:48:05 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:59:23 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.